/* Bbuuzzb command defines.
   Rick Smereka, Copyright (C) 1997-2004.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original DOS version Oct/97, Rick Smereka

   Added defines for 'DBCOM_GET_IS_TABLE_LOCKED' and
   'DBCOM_SET_IS_TABLE_LOCKED'. Dec/97, Rick Smereka

   Added define for 'DBCOM_SET_POS'. Nov/98,
   Rick Smereka

   Ported to Windows 32bit under Code Warrior V4. Dec/98, Rick Smereka

   Ported to HP-UX under GNU C 2.8.1.
   Jan/99, Rick Smereka

   Added configuration command defines. Mar/99, Rick Smereka

   Ported to Red Hat Linux 5.2, Jul/99, Rick Smereka
   
   Added command 'DBCOM_VERSION'. Apr/2000, Rick Smereka

   Added command 'DBCOM_GET_OPEN_TABLE_LIST'. Jun/2001,
   Rick Smereka

   Added commands 'DBCOM_GET_NSUBFIELDS', 'DBCOM_GET_SUBFIELD_SIZE',
   'DBCOM_GET_SUBFIELD', 'DBCOM_PUT_SUBFIELD', 'DBCOM_GET_NSUBSUBFIELDS',
   'DBCOM_GET_SUBSUBFIELD_SIZE', 'DBCOM_GET_SUBSUBFIELD', and
   'DBCOM_PUT_SUBSUBFIELD'. Dec/2001, Rick Smereka

   Added commands 'DBCOM_CONFIG_GET_REPLICATE_FLAG' and
   'DBCOM_CONFIG_SET_REPLICATE_FLAG'. Jan/2002, Rick Smereka

   Added command 'DBCOM_REPLICATE_UPDATE'. Mar/2002,
   Rick Smereka

   Added commands 'DBCOM_DELETE_TABLE' and 'DBCOM_EXIST'. 
   May/2002, Rick Smereka

   Added commands 'DBCOM_CLEAR_TABLE' and 'DBCOM_COPY_TABLE'. Jun/2002,
   Rick Smereka

   Added command 'DBCOM_GET_CATALOG_LIST' and 'DBCOM_SORT'. Aug/2002, 
   Rick Smereka

   Added commands 'DBCOM_GET_SORT_MEM', 'DBCOM_SET_SORT_MEM',
   'DBCOM_GET_SORT_OPEN_BIN' and 'DBCOM_SET_SORT_OPEN_BIN'.
   Ported to Debian Linux. Nov/2002, Rick Smereka

   Added commands 'DBCOM_DELETE_FIELD', 'DBCOM_DELETE_SUBFIELD'
   and 'DBCOM_DELETE_SUBSUBFIELD'. Mar/2003, Rick Smereka

   Added commands 'DBCOM_TRANS_NUM' and 'DBCOM_CONNECT_NUM'.
   Jun/2003, Rick Smereka

   Added commands 'DBCOM_GET_AUTOPACK' and 'DBCOM_SET_AUTOPACK'.
   Mar/2004, Rick Smereka

   Added commands 'DBCOM_CONFIG_CLIENT_GET_LOG', 
   'DBCOM_CONFIG_CLIENT_GET_LOG_FLAG',
   'DBCOM_CONFIG_CLIENT_SET_LOG' and 'DBCOM_CONFIG_CLIENT_SET_LOG_FLAG'.
   Apr/2004, Rick Smereka

   Changed define 'DBCOM_MAXCOMLINE' to same as 'BUFSIZE' (defined in
   'fio.h'). Added include of 'fio.h'. Aug/2004, Rick Smereka */

#include "fio.h"

#define DBCOM_OPEN 1
#define DBCOM_CLOSE 2
#define DBCOM_NEXT 3
#define DBCOM_TOP 4
#define DBCOM_GET_REC 5
#define DBCOM_GET_FIELD 6
#define DBCOM_GOTO 7
#define DBCOM_COUNT 8
#define DBCOM_PUT_FIELD 9
#define DBCOM_WRITE 10
#define DBCOM_DELETE 11
#define DBCOM_GET_DELETE_FLAG 12
#define DBCOM_SET_DELETE_FLAG 13
#define DBCOM_GET_NFIELDS 14
#define DBCOM_GET_REC_SIZE 15
#define DBCOM_GET_FIELD_SIZE 16
#define DBCOM_GET_REC_NUM 17
#define DBCOM_GET_POS 18
#define DBCOM_SET_POS 19
#define DBCOM_GET_CHANGE_REC_FLAG 20
#define DBCOM_SET_CHANGE_REC_FLAG 21
#define DBCOM_PACK 22
#define DBCOM_NEW 23
#define DBCOM_FIND 24
#define DBCOM_FIND_FIELD 25
#define DBCOM_FIND_PART 26
#define DBCOM_FIND_FIELD_PART 27
#define DBCOM_GET_REC_COUNT 28
#define DBCOM_GET_ENF_CHANGE_REC_FLAG 29
#define DBCOM_SET_ENF_CHANGE_REC_FLAG 30
#define DBCOM_GET_IS_TABLE_LOCKED 31
#define DBCOM_SET_IS_TABLE_LOCKED 32
#define DBCOM_NEW_TABLE 33
#define DBCOM_CONFIG_GET_TMP_PATH 34
#define DBCOM_CONFIG_GET_LOG 35
#define DBCOM_CONFIG_GET_SESSION 36
#define DBCOM_CONFIG_GET_CATALOG 37
#define DBCOM_CONFIG_GET_LOG_FLAG 38
#define DBCOM_CONFIG_GET_SESSION_FLAG 39
#define DBCOM_CONFIG_GET_CATALOG_FLAG 40
#define DBCOM_CONFIG_GET_VERSION 41
#define DBCOM_CONFIG_SET_TMP_PATH 42
#define DBCOM_CONFIG_SET_LOG 43
#define DBCOM_CONFIG_SET_SESSION 44
#define DBCOM_CONFIG_SET_CATALOG 45
#define DBCOM_CONFIG_SET_LOG_FLAG 46
#define DBCOM_CONFIG_SET_SESSION_FLAG 47
#define DBCOM_CONFIG_SET_CATALOG_FLAG 48
#define DBCOM_VERSION 49
#define DBCOM_GET_OPEN_TABLE_LIST 50
#define DBCOM_GET_NSUBFIELDS 51
#define DBCOM_GET_SUBFIELD_SIZE 52
#define DBCOM_GET_SUBFIELD 53
#define DBCOM_PUT_SUBFIELD 54
#define DBCOM_GET_NSUBSUBFIELDS 55
#define DBCOM_GET_SUBSUBFIELD_SIZE 56
#define DBCOM_GET_SUBSUBFIELD 57
#define DBCOM_PUT_SUBSUBFIELD 58
#define DBCOM_CONFIG_GET_REPLICATE_FLAG 59
#define DBCOM_CONFIG_SET_REPLICATE_FLAG 60
#define DBCOM_REPLICATE_UPDATE 61
#define DBCOM_DELETE_TABLE 62
#define DBCOM_EXIST 63
#define DBCOM_CLEAR_TABLE 64
#define DBCOM_COPY_TABLE 65
#define DBCOM_GET_CATALOG_LIST 66
#define DBCOM_SORT 67
#define DBCOM_GET_SORT_MEM 68
#define DBCOM_SET_SORT_MEM 69
#define DBCOM_GET_SORT_OPEN_BIN 70
#define DBCOM_SET_SORT_OPEN_BIN 71
#define DBCOM_DELETE_FIELD 72
#define DBCOM_DELETE_SUBFIELD 73
#define DBCOM_DELETE_SUBSUBFIELD 74
#define DBCOM_TRANS_NUM 75
#define DBCOM_CONNECT_NUM 76
#define DBCOM_GET_AUTOPACK 77
#define DBCOM_SET_AUTOPACK 78
#define DBCOM_CONFIG_CLIENT_GET_LOG 79
#define DBCOM_CONFIG_CLIENT_GET_LOG_FLAG 80
#define DBCOM_CONFIG_CLIENT_SET_LOG 81
#define DBCOM_CONFIG_CLIENT_SET_LOG_FLAG 82
#define DBCOM_NOT_FOUND -1
#define DBCOM_OFF -2
#define DBCOM_MAXCOM 82                /* number of valid commands */
#define DBCOM_MAXCOMLINE BUFSIZE       /* max allow size of command line */
